# Type Alias AxiosRequestInterceptorUse<T>

AxiosRequestInterceptorUse: (
onFulfilled?: ((value: T ) => T | Promise< T >) | null,
onRejected?: ((error: any) => any) | null,
options?: AxiosInterceptorOptions ,
) => number

#### Type Parameters

- T

#### Type declaration

- - (
    onFulfilled?: ((value: T ) => T | Promise< T >) | null,
    onRejected?: ((error: any) => any) | null,
    options?: AxiosInterceptorOptions ,
    ): number

  - #### Parameters

    - `Optional` onFulfilled: ((value: T ) => T | Promise< T >) | null
    - `Optional` onRejected: ((error: any) => any) | null
    - `Optional` options: AxiosInterceptorOptions

    #### Returns number

- Defined in node_modules/axios/index.d.ts:480